Bug 713721 - sound juicer missing audio profiles
Summary: sound juicer missing audio profiles
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: sound-juicer
Version: 15
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-16 11:31 UTC by Richard Kennedy
Modified: 2012-08-07 15:20 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 15:20:01 UTC


Attachments (Terms of Use)

Description Richard Kennedy 2011-06-16 11:31:28 UTC
Description of problem:
sound juicer cannot find any audio profiles on startup

Version-Release number of selected component (if applicable):
2.32.0

How reproducible:
start sound-juicer

Steps to Reproduce:
1. start sound-juicer
2.
3.
  
Actual results:

dialog box saying "The currently selected audio profile is not available on your installation."
And the list of profiles is empty -- no profiles are selectable.

Expected results:

working app

Additional info:

libgnome-media-profiles is installed -- I ran 'yum reinstall'  for this package but it did not fix the problem.

Comment 1 Richard Kennedy 2011-06-16 11:54:22 UTC
UPDATE :
I've just installed the gconf-editor & the key
/system/gstreamer/0.10/audio/global/profile_list is empty 

so it looks like a gstreamer setup problem rather than sound-juicer's fault!

The profiles exist in /system/gstreamer/0.10/audio/profiles

Can anyone tell me what that profile_list should look like or which app/package is responsible for setting it
Thanks
Richard

Comment 2 Richard Kennedy 2011-06-16 12:04:34 UTC
OK: adding the names of the profiles to global profile list
i.e. [cdlossless,mp3,cdlossy,...] fixes the problem :)

Comment 3 Sebastian Krämer 2011-06-17 11:23:56 UTC
Stumbled upon the same bug.
(Unrelated to this bug, the layout is messed up, in contrary to earlier versions many weeks ago. The genre line is separated and has scaling space on top and below. Do you see that, too?)

Comment 4 Richard Kennedy 2011-06-17 12:04:30 UTC
Yes, me too, there are large areas of blank space in the GUI -- also there seems to be some problem with the CD drive drop down in the preferences dialog.

When I start the prefs dialog the cd drive entry is blank, If I click on it I see the name of the drive, but when I click anywhere else it goes blank again.
It doesn't seem to be a problem -- sound juicer still works and I've only got one cd drive so it's only a cosmetic issue.

Comment 5 Sebastian Krämer 2011-06-18 10:07:48 UTC
Right, same thing here. Somehow this release got a little messed up :(

Comment 6 gregor 2011-06-30 18:05:39 UTC
(In reply to comment #2)
> OK: adding the names of the profiles to global profile list
> i.e. [cdlossless,mp3,cdlossy,...] fixes the problem :)

hi,

what and where did you put the names?

greetings
gregor

Comment 7 Richard Kennedy 2011-07-01 11:12:07 UTC
(In reply to comment #6)
> (In reply to comment #2)
> > OK: adding the names of the profiles to global profile list
> > i.e. [cdlossless,mp3,cdlossy,...] fixes the problem :)
> 
> hi,
> 
> what and where did you put the names?
> 
> greetings
> gregor

Hi Gregor, 
use gconf-editor to change the value of the /system/gstreamer/0.10/audio/global/profile_list 

see comment #1 

HTH
Richard

Comment 8 Walter Neumann 2011-08-12 19:35:08 UTC
Same problem but Richard's fix does not work for me. 

The entries aac,cdlossless,... show up under /system/gstreamer/0.10/audio/profiles but are empty. Adding the names to profile-list does not help. If I run sound-juicer it deletes all the entries in profile-list. I have tried yum reinstall on sound-juicer plus all the gstreamer packages but it is no help.

This is on i386, so the bug is not 64-bit specific.

I think probably related is that rhythmbox, mplayer both refuse to play cd's. vlc can play them.

Comment 9 eric 2011-10-09 16:09:10 UTC
I, too, am having problems with this but my profile looks odd compared to what you guys are talking about.  Could someone post their XML file that is in the profile so I can see what it should look like?

Comment 10 Jan Vlug 2011-10-31 23:26:25 UTC
When I start sound-juicer, it reports:

Gtk-Message: Failed to load module "pk-gtk-module"

(sound-juicer:9569): Gtk-WARNING **: Unknown property: GtkDialog.has-separator

(sound-juicer:9569): Gtk-WARNING **: Unknown property: GtkDialog.has-separator

(sound-juicer:9569): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed

Furthermore, I confirm the issues reported in this bug. I'm using a 64 bit machine.

Comment 11 eric 2011-12-31 19:46:45 UTC
Looks like a manual fix is here: https://lists.fedoraproject.org/pipermail/users/2011-June/399033.html

Comment 12 Davide Repetto 2012-01-23 22:38:48 UTC
apparently a "yum reinstall libgnome-media-profiles" solves the problem.
At least for me.

Comment 13 Sebastian Krämer 2012-05-12 13:23:38 UTC
I don't have this problem any more in a fresh F17 Beta installation.

Comment 14 Fedora End Of Life 2012-08-07 15:20:04 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.